/* body{
    background: #ccc;
    font-family: 'Poppins', sans-serif;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

ul{
    list-style: none;
}

a{
    text-decoration: none;
    color: #000;
} */

.navbar{
    /* position: fixed; */
    top: 0;
    left: 0;
    width: 100%;
    z-index: 2;
    padding: 0;
}

.navbar, .buttons{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1em;
}

/* .brand{
    font-weight: bolder;
    font-size: 1.5em;
} */

.brand:hover{
    font-weight: bolder;
    color: #428aff;
}

button{
    border: none;
    transition: 0.3s;
    cursor: pointer;
}

.btn{
    font-family: 'Poppins', sans-serif;
    font-size: 1.1em;
    background: #428aff;
    padding: 0.5em 1.3em;
    border-radius: 16px;
    color: #fff;
}

.btn:hover{
    background: #3877db;
}

.menu-btn{
    margin-left: 1em;
    background: none;
    display: inline-block;
}

.menu-btn span{
    font-size: 2.3em;
}

.dropdown > div, .sub-dropdown > div {
    cursor: pointer;
}

.dropdown .menu a:hover{
    color: #9b9b9b;
}

@media screen and (min-width: 992px) {
    .navbar{
        /* padding: 0 1.5em; */
    }
    .dropdown > div{
        padding: 1.5em 1em;
    }
    .mega-menu{
        display: flex;
        /* justify-content: center; */
    }
    .menu-btn{
        display: none;
    }
    .menu{
        background: #fff;
        position: absolute;
        top: 4.65em;
        left: 0;
        width: 100%;
        padding: 0 2em;
        overflow-y: scroll;
        transition: 0.4s ease-in-out;
        display: flex;
        justify-content: center;
        align-items: flex-start;
        gap: 2em;
    }

    .menu > li:first-child{
        font-size: 1.1em;
        font-weight: bold;
        margin: 0;
    }

    .sub-dropdown > div span:first-child{
        font-weight: bold;
    }
    
    .dropdown > div{
        border-bottom: 3px #fff solid;
        transition: 0.3s;
    }

    .dropdown:hover > div{
        border-color: #000;
    }

    .dropdown li{
        margin-bottom: 1em;
    }

    .dropdown > div span:last-child, 
    .sub-dropdown > div{
        display: none;
    }

    /* Width */
    .menu::-webkit-scrollbar{
        width: 8px;
    }
    /* Track */
    .menu::-webkit-scrollbar-track{
        background: #f1f1f1;
    }
    /* Handle */
    .menu::-webkit-scrollbar-thumb{
        background: #888;
    }

    /* Handle on hover */
    .menu::-webkit-scrollbar-thumb:hover{
        background: #555;
    }

    /* Hide menu */
    .menu{
        height: 0;
    }
    .dropdown:hover .menu{
        height: 50vh;
        padding: 2em;
    }
}

/* Responsive Design */
@media screen and (max-width: 992px) {
    .navbar{
        /* padding: 1em 1.5em; */
    }
    .menu-container{
        background: #fff;
        position: absolute;
        top: 66px;
        left: 0;
        width: 100%;
        overflow-y: hidden;
        transition: 0.3s ease-in-out;
    }

    /* Width */
    .mega-menu::-webkit-scrollbar{
        width: 8px;
    }
    /* Track */
    .mega-menu::-webkit-scrollbar-track{
        background: #f1f1f1;
    }
    /* Handle */
    .mega-menu::-webkit-scrollbar-thumb{
        background: #888;
    }
    /* Handle on hover */
    .mega-menu::-webkit-scrollbar-thumb:hover{
        background: #555;
    }
    .mega-menu{
        padding: 0 1em 1em 1em;
        height: 100%;
        overflow-y: auto;
    }
    .mega-menu li{
        font-weight: bold;
        font-size: 1.1em;
    }
    .mega-menu li > div{
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 0.5em;
    }
    .menu li{
        padding: 0 1em;
        font-size: 1em;
        font-weight: 400;
    }
    .menu a{
        display: block;
        margin: 0.8em 0;
    }
    .menu{
        display: none;
    }
    /* Toggle class for Javascript */
    .menu-show{
        display: block;
    }
    .material-symbols-outlined{
        transition: 0.3s;
    }
    /* Toggle class for javascript */
    .icon-rotated{
        transform: rotate(90deg);
    }
    .dropdown>div, .sub-dropdown > div{
        cursor: pointer;
        padding: 0.5em;
    }
    .sub-menu{
        font-size: 0.9em;
        display: none;
    }
    /* Toggle class for Javascript */
    .sub-menu-show{
        display: block;
    }
    .dropdown:hover>div, .sub-dropdown:hover>div{
        background: #dbdbdb;
    }
    /* Hide menu */
    .menu-container{
        height: 0;
    }
    /* Toggle class for javascript */
    .mega-menu-show{
        height: 50vh;
    }
}






/** header **/

.navbar .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: 1.5rem;
}

.logo img {
    max-width: 150px;
    transition-duration: .3s;
}

.menu-item {
    margin-left: 1rem;
    margin-right: 1rem;
    padding-top:0.5rem;
    padding-bottom: 0.5rem;
    position: relative;
}

.menu-item a {
    font-size: 1rem;
    color: #272727;
    font-weight: 500;
    text-transform: capitalize;
}

.menu-item .button {
    background-color:#ea5e20;
    color: #ffffff;
    text-transform: uppercase;
    padding-top:1.125rem;
    padding-bottom:1.125rem;
    max-width: 282px;
    width: 100%;
    transition-duration: 0.3s;
}

.mega-menu {
    align-items: center;
}

.mega-menu .menu-item:last-child {
    margin-right: 0px;
}

.menu-container {
    z-index: 2;
}

.mega-menu {
    flex-wrap: wrap;
}

.second-dropdown {
    position: absolute;
    background: #000;
    border-radius: 5px;
    margin: 0px;
    padding: 13px 0px 12px 0px;
    top: 33px;
    display: none;
}
.second-dropdown li{padding: 1px 0px;}
.second-dropdown li a {
    padding: 10px 20px;
    display: block;
    color: #fff;
    font-weight: 400;
    white-space: nowrap;
}
.mega-menu .menu-item:hover .second-dropdown{
    display: block!important;
}

@media only screen and (min-width: 992px) {
.menu-container{display: block!important;}
}

@media only screen and (max-width: 991px) {
.second-dropdown {
    position: relative;
    background: #121212;
    border-radius: 0px;
    margin: 0px;
    padding: 5px 0px 5px 0px;
    top: 10px;
    display: block;
    border-radius: 5px;
}
.menu-container{height: auto; background: #000; display: none;}
.menu-item a{color: #fff;}

}